"""
  ntptimeGET.py - Wi-Fiに接続しNTPサーバー時間をRTCに設定する
  "ESSID"/"Password"はルータ等のアクセスポイントに設定を行います。
"""
import network
import ntptime

ESSID = "BBUser"
Password = ""
# Wi-Fi 接続を設定する為にクライアントオブジェクトのインターフェースを作成する
sta_if = network.WLAN(network.STA_IF)
if not sta_if.isconnected():
    sta_if.active(True)
    sta_if.connect(ESSID, Password)  # ステーションインターフェイスを有効にする
    while not sta_if.isconnected():  # WiFiネットワークに接続する
        pass
print('\r\n[network config]\r\n', sta_if.ifconfig())

# (date(2000, 1, 1) - date(1900, 1, 1)).days * 24*60*60
ntptime.NTP_DELTA = 3155641200  # 更にタイムゾーンを引いた値
# "pool.ntp.org"サーバーに接続している
# 他のサーバーに接続したいなら(例：host = "ntp.nict.jp")とする
ntptime.settime()               # サーバからの日時を rtc に設定
print('Finished setting to RTC')
sta_if.active(False)            # Wi-Fi 接続を切る
# 不要になったメモリ領域を自動的に解放し空きメモリを増やす
import gc
gc.collect()

